import { ChangeDetectorRef } from '@angular/core';
export declare class ControlErrorComponent {
    private cdr;
    _useOurValidation: boolean;
    _text: string;
    _hide: boolean;
    set text(value: string);
    set useOurValidation(value: boolean);
    constructor(cdr: ChangeDetectorRef);
}
